Bug 1084631 - GCC 8: nasm build fails
GCC 8: nasm build fails
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Basesystem
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Adam Majer
E-mail List
:
Depends on:
Blocks: 1084649
  Show dependency treegraph
 
Reported: 2018-03-09 10:01 UTC by Martin Liška
Modified: 2020-07-13 19:15 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Liška 2018-03-09 10:01:47 UTC
Build the package with GCC 8, there's error:

[   48s] ./include/nasmlib.h:194:1: error: 'pure' attribute on function returning 'void' [-Werror=attributes]

Please build the project as follows to reproduce the issue:
osc build --alternative-project=openSUSE:Factory:Staging:Gcc7
Comment 1 Adam Majer 2018-03-15 07:10:39 UTC
Thank you for the report. The fixed version of the package should arrive in openSUSE:Factory in the next day.
Comment 2 Swamp Workflow Management 2018-03-15 10:20:12 UTC
This is an autogenerated message for OBS integration:
This bug (1084631) was mentioned in
https://build.opensuse.org/request/show/587452 Factory / nasm
Comment 4 jun wang 2020-07-01 01:35:30 UTC
I am testing nasm update, and when checking the url https://build.suse.de/build/SUSE:Maintenance:15602/SUSE_SLE-15_Update/x86_64/nasm.SUSE_SLE-15_Update/_log, I get many these output: 

[   95s] cd test && perl -I./perllib -I. performtest.pl --nasm=../nasm *.asm
[   95s] Can't compare at _file_/bin file stdout
[   95s] Can't compare at _version/version file stdout
[   95s] Can't compare at a32offs/unoptimized file a32offs.bin
[   95s] Can't compare at a32offs/optimized file a32offs.bin

is this OK?
Comment 5 Adam Majer 2020-07-01 08:51:07 UTC
(In reply to jun wang from comment #4)
> I am testing nasm update, and when checking the url
> https://build.suse.de/build/SUSE:Maintenance:15602/SUSE_SLE-15_Update/x86_64/
> nasm.SUSE_SLE-15_Update/_log, I get many these output: 
> 
> [   95s] cd test && perl -I./perllib -I. performtest.pl --nasm=../nasm *.asm
> [   95s] Can't compare at _file_/bin file stdout
> [   95s] Can't compare at _version/version file stdout
> [   95s] Can't compare at a32offs/unoptimized file a32offs.bin
> [   95s] Can't compare at a32offs/optimized file a32offs.bin
> 
> is this OK?

Short answer: Yes.

Long answer: NASM unit tests are mostly focused on regression detection. What they are suppose to be used for,

1. make
2. make golden
3. <do changes here>
4. make
5. make test

The `make test` then compares output of the "golden" output with the test run. If there are any changes, it *could* indicate a regression that need to be investigated.

The "golden" directory of binaries is not shipped by upstream that's why it's complaining. But nasm is called before the attempted comparison so if there is some major nasm failure on execution, like segfault, I think we would see it in the log.
Comment 6 jun wang 2020-07-01 08:59:38 UTC
(In reply to Adam Majer from comment #5)
> (In reply to jun wang from comment #4)
> > I am testing nasm update, and when checking the url
> > https://build.suse.de/build/SUSE:Maintenance:15602/SUSE_SLE-15_Update/x86_64/
> > nasm.SUSE_SLE-15_Update/_log, I get many these output: 
> > 
> > [   95s] cd test && perl -I./perllib -I. performtest.pl --nasm=../nasm *.asm
> > [   95s] Can't compare at _file_/bin file stdout
> > [   95s] Can't compare at _version/version file stdout
> > [   95s] Can't compare at a32offs/unoptimized file a32offs.bin
> > [   95s] Can't compare at a32offs/optimized file a32offs.bin
> > 
> > is this OK?
> 
> Short answer: Yes.
> 
> Long answer: NASM unit tests are mostly focused on regression detection.
> What they are suppose to be used for,
> 
> 1. make
> 2. make golden
> 3. <do changes here>
> 4. make
> 5. make test
> 
> The `make test` then compares output of the "golden" output with the test
> run. If there are any changes, it *could* indicate a regression that need to
> be investigated.
> 
> The "golden" directory of binaries is not shipped by upstream that's why
> it's complaining. But nasm is called before the attempted comparison so if
> there is some major nasm failure on execution, like segfault, I think we
> would see it in the log.

wonderful answer. Thank you.
Comment 7 Swamp Workflow Management 2020-07-06 16:14:47 UTC
SUSE-SU-2020:1843-1: An update that solves 13 vulnerabilities and has one errata is now available.

Category: security (moderate)
Bug References: 1084631,1086186,1086227,1086228,1090519,1090840,1106878,1107592,1107594,1108404,1115758,1115774,1115795,1173538
CVE References: CVE-2018-1000667,CVE-2018-10016,CVE-2018-10254,CVE-2018-10316,CVE-2018-16382,CVE-2018-16517,CVE-2018-16999,CVE-2018-19214,CVE-2018-19215,CVE-2018-19216,CVE-2018-8881,CVE-2018-8882,CVE-2018-8883
Sources used:
SUSE Linux Enterprise Module for Development Tools 15-SP2 (src):    nasm-2.14.02-3.4.1
SUSE Linux Enterprise Module for Development Tools 15-SP1 (src):    nasm-2.14.02-3.4.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 8 Swamp Workflow Management 2020-07-07 16:19:39 UTC
SUSE-SU-2020:1864-1: An update that solves 12 vulnerabilities and has one errata is now available.

Category: security (moderate)
Bug References: 1058013,1073796,1073798,1073799,1073803,1073808,1073818,1073823,1073829,1073830,1073832,1073846,1084631
CVE References: CVE-2017-14228,CVE-2017-17810,CVE-2017-17811,CVE-2017-17812,CVE-2017-17813,CVE-2017-17814,CVE-2017-17815,CVE-2017-17816,CVE-2017-17817,CVE-2017-17818,CVE-2017-17819,CVE-2017-17820
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    nasm-2.14.02-4.8.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 9 Swamp Workflow Management 2020-07-13 19:12:55 UTC
openSUSE-SU-2020:0954-1: An update that solves 13 vulnerabilities and has one errata is now available.

Category: security (moderate)
Bug References: 1084631,1086186,1086227,1086228,1090519,1090840,1106878,1107592,1107594,1108404,1115758,1115774,1115795,1173538
CVE References: CVE-2018-1000667,CVE-2018-10016,CVE-2018-10254,CVE-2018-10316,CVE-2018-16382,CVE-2018-16517,CVE-2018-16999,CVE-2018-19214,CVE-2018-19215,CVE-2018-19216,CVE-2018-8881,CVE-2018-8882,CVE-2018-8883
Sources used:
openSUSE Leap 15.2 (src):    nasm-2.14.02-lp152.4.3.1
Comment 10 Swamp Workflow Management 2020-07-13 19:15:44 UTC
openSUSE-SU-2020:0952-1: An update that solves 13 vulnerabilities and has one errata is now available.

Category: security (moderate)
Bug References: 1084631,1086186,1086227,1086228,1090519,1090840,1106878,1107592,1107594,1108404,1115758,1115774,1115795,1173538
CVE References: CVE-2018-1000667,CVE-2018-10016,CVE-2018-10254,CVE-2018-10316,CVE-2018-16382,CVE-2018-16517,CVE-2018-16999,CVE-2018-19214,CVE-2018-19215,CVE-2018-19216,CVE-2018-8881,CVE-2018-8882,CVE-2018-8883
Sources used:
openSUSE Leap 15.1 (src):    nasm-2.14.02-lp151.3.3.1